CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-1494

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 28.0 and SeaMonkey before 2.25 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via unknown vectors.
Publish Date : 2014-03-19 Last Update Date : 2020-08-14
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
9.3
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute CodeMemory corruption
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 28.0 and SeaMonkey before 2.25 allo... oval:org.mitre.oval:def:24490 windows
SUSE-SU-2014:0418-1 -- Security update for MozillaFirefox oval:org.mitre.oval:def:24858 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-1494

# Product Type Vendor Product Version Update Edition Language
1 Application Mozilla Firefox * * * * Version Details Vulnerabilities
2 Application Mozilla Seamonkey * * * * Version Details Vulnerabilities
3 OS Opensuse Opensuse 13.1 * * * Version Details Vulnerabilities
4 OS Opensuse Project Opensuse 11.4 * * * Version Details Vulnerabilities
5 OS Opensuse Project Opensuse 12.3 * * * Version Details Vulnerabilities
6 OS Oracle Solaris 11.3 * * * Version Details Vulnerabilities
7 OS Suse Linux Enterprise Desktop 11 SP3 * * Version Details Vulnerabilities
8 OS Suse Linux Enterprise Server 11 SP3 * * Version Details Vulnerabilities
9 OS Suse Linux Enterprise Server 11 SP3 * * Version Details Vulnerabilities
10 OS Suse Linux Enterprise Software Development Kit 11 SP3 * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mozilla Firefox 1
Mozilla Seamonkey 1
Opensuse Opensuse 1
Opensuse Project Opensuse 2
Oracle Solaris 1
Suse Linux Enterprise Desktop 1
Suse Linux Enterprise Server 2
Suse Linux Enterprise Software Development Kit 1

- References For CVE-2014-1494

https://security.gentoo.org/glsa/201504-01
GENTOO GLSA-201504-01
http://www.oracle.com/technetwork/topics/security/bulletinapr2016-2952098.html CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2014-03/msg00022.html
SUSE openSUSE-SU-2014:0448
http://lists.opensuse.org/opensuse-security-announce/2014-03/msg00017.html
SUSE openSUSE-SU-2014:0419
https://bugzilla.mozilla.org/show_bug.cgi?id=927579 CONFIRM
http://www.mozilla.org/security/announce/2014/mfsa2014-15.html CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=938626 CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=627295 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2014-04/msg00016.html
SUSE openSUSE-SU-2014:0584
http://lists.opensuse.org/opensuse-security-announce/2014-03/msg00016.html
SUSE SUSE-SU-2014:0418
https://bugzilla.mozilla.org/show_bug.cgi?id=964462 CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=932496 CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=909586 CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=938615 CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=933219 CONFIRM
https://bugzilla.mozilla.org/show_bug.cgi?id=949843 CONFIRM

- Metasploit Modules Related To CVE-2014-1494

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.